.t-header {
  position: fixed;
  width: 100%;
  height: 0;
  top: 0;
  z-index: 999;

  &.-orange {
    .t-header__container__content {
      background-image: var(var(--theme-orange-primary));
      background-image: linear-gradient(
        90deg,
        var(--theme-orange-primary) 0%,
        var(--theme-orange-secondary) 100%
      );
    }
  }

  &.-purple {
    .t-header__container__content {
      background-image: var(--theme-purple-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-purple-primary) 0%,
        var(--theme-purple-secondary) 100%
      );
    }
  }

  &.-blue {
    .t-header__container__content {
      background-image: var(--theme-blue-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-blue-primary) 0%,
        var(--theme-blue-secondary) 100%
      );
    }
  }

  &.-green {
    .t-header__container__content {
      background-image: var(--theme-green-primary);
      background-image: linear-gradient(
        90deg,
        var(--theme-green-primary) 0%,
        var(--theme-green-secondary) 100%
      );
    }
  }

  &__backdrop {
    background-color: var(--white-alpha-66);
    width: 100%;
    height: 100vh;
    position: absolute;
  }

  &__container {
    position: relative;
    top: -80vh;
    bottom: 0;
    width: 100%;
    height: 80vh;

    &__content {
      padding: 1rem 1rem 1.5rem;
      text-align: center;
      color: var(--white);
      border-bottom-left-radius: 2rem;
      border-bottom-right-radius: 2rem;
      font-size: 1.2rem;
      width: 100%;
      position: absolute;
      bottom: 0;
      box-sizing: border-box;
      overflow: hidden;
      box-shadow: 0 0.5rem 1rem var(--black-alpha-15);

      &::before {
        position: absolute;
        bottom: 0.5rem;
        left: calc(50% - 0.75rem);
        content: "";
        display: block;
        background-color: var(--white-alpha-66);
        width: 1.5rem;
        height: 0.3rem;
        border-radius: 0.15rem;
      }

      &::after {
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        display: block;
        content: "";
        position: absolute;
        z-index: -1;
        opacity: 0;
        animation-duration: 1s;
        animation-fill-mode: forwards;
      }

      &.-to-blue {
        &::after {
          animation-name: to-animation;
          background-image: var(--theme-blue-primary);
          background-image: linear-gradient(
            90deg,
            var(--theme-blue-primary) 0%,
            var(--theme-blue-secondary) 100%
          );
        }
      }

      &.-to-purple {
        &::after {
          animation-name: to-animation;
          background-image: var(--theme-purple-primary);
          background-image: linear-gradient(
            90deg,
            var(--theme-purple-primary) 0%,
            var(--theme-purple-secondary) 100%
          );
        }
      }

      &.-to-orange {
        &::after {
          animation-name: to-animation;
          background-image: var(--theme-orange-primary);
          background-image: linear-gradient(
            90deg,
            var(--theme-orange-primary) 0%,
            var(--theme-orange-secondary) 100%
          );
        }
      }

      &.-to-green {
        &::after {
          animation-name: to-animation;
          background-image: var(--theme-green-primary);
          background-image: linear-gradient(
            90deg,
            var(--theme-green-primary) 0%,
            var(--theme-green-secondary) 100%
          );
        }
      }
    }
  }

  &__context {
    text-align: left;
    margin-bottom: 1rem;
    font-size: 0.95rem;
  }

  &__current {
    text-transform: uppercase;
    font-weight: 500;
    font-size: 1.2rem;
    display: inline-flex;
    align-items: center;
    bottom: -0.25rem;
    position: relative;

    mat-icon {
      margin-right: 0.5rem;
    }
  }
}

@keyframes to-animation {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 1;
  }
}
